cjs (6.0.0+virginia) virginia; urgency=medium

  [ Dominik Opyd ]
  * fix(build, tests): move `have_gtk4` to the appropriate place

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#119)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Nov 2023 13:54:46 +0000

cjs (5.8.0) victoria; urgency=medium

  [ Michael Webster ]
  * Rebase off gjs 1.74.2 (mozjs102)
  * github workflow: Add optional ssh session.
  * GObject: Handle versions of GLib without GBindingGroup
  * Debian improvements

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 13:42:35 +0100

cjs (5.7.0) unstable; urgency=medium

  * Rebase with gjs 1.74.1/mozjs102

 -- Michael Webster <miketwebster@gmail.com>  Thu, 19 Jan 2023 10:40:44 -0500

cjs (5.6.1) vera; urgency=medium

  [ Fabio Fantoni ]
  * debian: other small packaging improvements (#110)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 10:38:37 +0000

cjs (5.6.0) vera; urgency=medium

  [ Rick Calixte ]
  * Fix .gitignore for builds

  [ Michael Webster ]
  * Use github instead of circleci.

  [ Fabio Fantoni ]
  * remove d/control.in and add override about it in d/rules
  * libcjs0f->libcjs0g, missed from gjs 1.70.0-4 rebase
  * d/control: remove duplicate build-dep
  * try to merge tests from debian package
  * d/control: update build-dep min versions

  [ Clement Lefebvre ]
  * Rename libcj0g -> libcjs0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Nov 2022 12:04:09 +0000

cjs (5.4.1) vanessa; urgency=medium

  [ Michael Webster ]
  * Remove some links from the README
  * Don't use max threads for tests.
  * testCommandLine.sh: Skip a Gio.Subprocess test when inside of a circleci environment.
  * debian/rules: Limit number of threads for the build.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:20:25 +0200

cjs (5.4.0) vanessa; urgency=medium

  [ Michael Webster ]
  * Rebase off of 1.70.0-4 (ubuntu 22.04)

  [ Clement Lefebvre ]
  * CI: Bring back config

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 09:58:05 +0200

cjs (5.2.0) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 11:39:00 +0000

cjs (5.0.1) uma; urgency=medium

  [ Eli Schwartz ]
  * fix failing test checking for version number (#94)

  [ Michael Webster ]
  * object.cpp: Defer processing an object, rather than crash, when a toggle unref is already queued.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 11:19:43 +0000

cjs (5.0.0) uma; urgency=medium

  [ Leigh Scott ]
  * fix readline build on certain systems
  * overrides/Gtk: Set BuilderScope in class init
  * gi/wrapperutils: Move gjs_get_string_id() into resolve() implementations
  * Revert "arg-cache: Save space by not caching GType"
  * Fixed error in _init() that prevented GType objects from being created. Improved the regression test, implementing Marco T's feedback.
  * Update NEWS for 1.66.1
  * Update NEWS for 1.66.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 May 2021 15:00:53 +0100

cjs (4.8.2) ulyssa; urgency=medium

  [ Leigh Scott ]
  * Rebase on 1.66.1 (#90)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 11:10:48 +0000

cjs (4.8.1) ulyssa; urgency=medium

  [ Leigh Scott ]
  * Fix bogus volatile caught by gcc-11
  * fix build with clang

  [ Michael Webster ]
  * meson: Respect the minimum meson version required (0.49.2).

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:14:29 +0000

cjs (4.8.0) ulyssa; urgency=medium

  [ Leigh Scott ]
  * Rebase on GJS 1.66 and Mozjs78 (#84)
  * Fix tests (#85)

  [ Michael Webster ]
  * deprecation.cpp: Add additional info to ByteArray deprecation warning, and link to the xlet versioning tutorial page.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2020 12:17:50 +0000

cjs (4.6.0) ulyana; urgency=medium

  [ Garry Filakhtov ]
  * Fix two broken test cases

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 13:45:37 +0100

cjs (4.4.0) tricia; urgency=medium

  * 4.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 11:42:59 +0100

cjs (4.2.0) tina; urgency=medium

  [ Eli Schwartz ]
  * update deprecated glib function (#72)

  [ Leigh Scott ]
  * Fix new autoconf-archive compile issue (#73)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Jun 2019 12:43:24 +0100

cjs (4.0.0) tessa; urgency=medium

  [ Giovanni Campagna ]
  * Add marshalling for native JS errors

  [ Jason Hicks ]
  * object: Associate callbacks with the object on which they're installed

  [ Giovanni Campagna ]
  * Use the GIVFuncInfo to hook up vfuncs instead of the GICallbackInfo
  * Capture JS exceptions from invoked virtual functions

  [ Jason Hicks ]
  * global: Add a bootstrap system
  * coverage: Use global bootstrap to add JS coverage code
  * coverage: Don't error out on various files
  * coverage: Scan ES6 classes for functions

  [ Philip Chimento ]
  * coverage: Correct AST walking for labelled statements
  * coverage: Walk AST in more cases

  [ Jason Hicks ]
  * coverage: Refactor bootstrap code to use ES6 classes

  [ Philip Chimento ]
  * error: Use JSProtoKey to get Error constructor
  * object: Remove hash-x32 implementation
  * object: Merge weak_pointer_list and dissociate_list
  * object: Remove vfunc list

  [ Jason Hicks ]
  * jsapi-util: Remove jsapi-private
  * tests: Use assertions in coverage tests

  [ Philip Chimento ]
  * js: Convert scripts to UTF-16 before evaluating

  [ Jason Hicks ]
  * coverage: Use LCOV data from SpiderMonkey

  [ Philip Chimento ]
  * coverage: Propagate gjs_coverage_write_statistics() errors
  * tests: Add regression test for vfunc crash avoidance
  * jsapi-util-string: Use mozjs UTF8-to-JSString conversion
  * jsapi-util-string: Missing error check
  * importer: Missing error check
  * jsapi-util: Improve check for SyntaxError
  * js: Use JS_EncodeStringToUTF8() directly where advantageous
  * param, importer: Spurious error when resolving non-string
  * js: Don't convert to UTF-8 to compare ASCII names
  * suppressions: Eliminate machine-dependent expressions

  [ Marco Trevisan (Treviño) ]
  * object: check in gjs_typecheck_object if the object has been finalized
  * object: don't resolve or set,get properties on finalized elements
  * object: add better logging when invalid access happens
  * object: reset the keep alive flag on wrapper when object is disposed
  * installed-tests/js: add testGObjectDestructionAccess to verify access to destryed objects

  [ Philip Chimento ]
  * object: Leave out param untouched on error

  [ Jason Hicks ]
  * maint: highlight the license
  * release: Add NEWS for 1.51.3

  [ Andy Holmes ]
  * Amend gtk-application.js
  * mv gtk-window.js to amend gtk.js, including suggestions

  [ makepost ]
  * arg: String as GdkAtom, and GdkAtom as string

  [ Valentín Barros ]
  * Test case improved in `installed-tests/js/testCairo.js` [fixes #27]

  [ Marco Trevisan (Treviño) ]
  * object: Only show critical errors on access to finalized objects
    (Closes: #21)

  [ Philip Chimento ]
  * coverage: Remove unused JSCompartmentOptions
  * js: Remove unnecessary property getters and setters

  [ Marco Trevisan (Treviño) ]
  * object: Show error when using proto functions (connect*, emit) on destroyed object
  * object: make clear in toString() proto method when the object is finalized
  * proxyutils: remove trailing spaces

  [ Philip Chimento ]
  * release: Prepare for 1.51.4
  * arg: Marshal GType of 0 to null
  * release: Include NEWS from 1.50.3

  [ Jason Hicks ]
  * profiler: add SPSProfiler implementation

  [ Philip Chimento ]
  * profiler: Implement --profile flag behaviour
  * profiler: Allow enabling with GJS_ENABLE_PROFILER=1
  * profiler: Disable profiler in interactive mode
  * profiler: Disable SIGUSR2 start/stop

  [ Jason Hicks ]
  * profiler: Suppress cppcheck warning
  * profiler: Allow configuring with --disable-profiler
  * profiler: Always activate profiler if GJS_ENABLE_PROFILER=1

  [ Philip Chimento ]
  * foreign: Use gjs_eval_with_scope() instead of public API

  [ Jason Hicks ]
  * profiler: Reduce API surface

  [ Philip Chimento ]
  * object: Restore resolve return value
  * tests: Don't compare Rooted<T> against NULL
  * tests: Add pending test for composite template subclass
  * maint: Fix obsolete comments on resolve hooks
  * js: Remove context from GjsAutoJSChar

  [ Jason Hicks ]
  * Fix overwriting of libcjs_la_SOURCES

  [ Philip Chimento ]
  * jsapi-util-string: Fix return of gjs_get_string_id()
  * Revert "object: reset the keep alive flag on wrapper when object is disposed"
  * release: Include NEWS from 1.50.4
  * maint: Update DOAP file

  [ Jason Hicks ]
  * Allow using GObject.signal_* functions in place of Object methods

  [ Simon McVittie ]
  * gjs_callback_closure: Log uncatchable exceptions, don't just exit
  * gjs_callback_closure: Use g_error, not exit, on uncatchable exceptions
  * _gjs_context_run_jobs: Log uncatchable exceptions, except System.exit()
  * gjs_context_eval: Use different GError message for uncatchable exceptions
  * gjs_context_eval: Log a critical on uncatchable exceptions

  [ Philip Chimento ]
  * build: Install suppressions files

  [ Jason Hicks ]
  * Rename gjs-1.0
  * CI: use a more robuts test for profiling dumping

  [ Philip Chimento ]
  * release: Prepare for 1.51.90
  * build: Ignore -Wcast-function-type in G_DEFINE_TYPE
  * jsapi-dynamic-class: Use interned strings to link prototype

  [ Giovanni Campagna ]
  * function: move completed trampolines out of gjs_invoke_c_function

  [ Philip Chimento ]
  * function: Fix outdated comment

  [ Giovanni Campagna ]
  * tests: Add tests for GObject-valued properties

  [ Philip Chimento ]
  * profiler: Remove unused function in !ENABLE_PROFILER case

  [ Ting-Wei Lan ]
  * profiler: Don't include alloca.h when disabled

  [ Philip Chimento ]
  * toggle: Add debug logging
  * context: Add more debug logging to dispose
  * log: Allow logging thread ID of each message
  * context: Shut down toggle queue before dispose notify

  [ Jason Hicks ]
  * context: Fix usage of g_idle_add for resolving promises

  [ Philip Chimento ]
  * release: Prepare for 1.51.91
  * function: Refactor "callback blocked" message into helper function
  * function: Don't call into JS if on the wrong thread

  [ Jason Hicks ]
  * Profiler: fix build on Debian/Ubuntu
  * Revert "build: Install suppressions files"
  * Remove test/travis-ci.sh
  * Tests: Fix failures from gjs renaming

  [ Philip Chimento ]
  * console: Free profiler output path at different points
  * sysprof: Initialize buffer in SpCaptureWriter
  * tests: Reduce length of profiler start/stop test

  [ Florian Müllner ]
  * overrides/Gio: Add D-Bus convenience to more proxy methods

  [ Philip Chimento ]
  * context: Job queue should not swallow pending exceptions
  * overrides: Add override for Cairo that merges in imports.cairo

  [ James Cowgill ]
  * profiler: Don't assume layout of struct sigaction

  [ Philip Chimento ]
  * context: Always import byteArray

  [ Jason Hicks ]
  * Remove dead code

  [ Philip Chimento ]
  * Gio: Remove obsolete code
  * tests: Add missing async test parameter
  * Remove unnecessary semicolons

  [ Tommi Komulainen ]
  * context: dump heaps on signal

  [ Claudio André ]
  * installed-tests/js: skip a test GTK dependent, if no GTK

  [ Karen Medina ]
  * Update tweener.js -- 48 eslint errors fixed

  [ Philip Chimento ]
  * log: Remove unused debug topics
  * object: Improve lifecycle logging
  * engine: Free Cairo static data on shutdown
  * object: Ensure weak ref callback is removed on finalize

  [ Andy Holmes ]
  * initial commit of heapgraph scripts
  * rename README.md to heapgraph.md
  * tweak heapgraph.md
  * heapdot.py: remove shape compression
  * omit 'self-hosting-global' unless explicitly targetted

  [ Jason Hicks ]
  * release: Prepare for 1.52.1

  [ Philip Chimento ]
  * Merge branch 'jaszhix/gjs-tweener-fix'
  * Revert "engine: Free Cairo static data on shutdown"

  [ Andy Holmes ]
  * heapgraph.py: adjust terminal output style * don't use colors in terminal output * remove unused label function

  [ rockon999 ]
  * Fix UTF8 encoding for some GJS string arrays. - The function that constructs string arrays for imports and argv utilized a JS_NewStringCopyZ call instead of the proper JS_NewStringCopyUTF8Z (the input is UTF8).
  * Add testing for ARGV encoding changes.
  * Automate testing for unicode encoding.
  * Test new environment flag against pipeline.

  [ Giovanni Campagna ]
  * object: don't use toggle references unless necessary

  [ Georges Basile Stavracas Neto ]
  * object: properly disassociate wrappers
  * context: Add API to force GC schedule
  * object: Queue a forced GC when toggling down
  * object: Only weak unref if GObject is still alive

  [ Andy Holmes ]
  * overrides: support Gtk template callbacks

  [ Carlos Garnacho ]
  * context: Ensure force_gc flag is not lost if the idle is scheduled
    (Closes: #150)
  * object: Embed wrapped object list into ObjectInstance (Closes: #142)

  [ Philip Chimento ]
  * jsapi-util-root: Add operator!=(nullptr_t)

  [ Tomasz Miąsko ]
  * Support interface signal handlers

  [ Philip Chimento ]
  * importer: Refactor awkward 'goto out' situation
  * log: Add gjs_debug_id()
  * js: Don't convert to UTF-8 just for debug logging

  [ Jason Hicks ]
  * console: --jsversion shell option

  [ Philip Chimento ]
  * object: Adjust arguments of method
  * object: Upgrade severity of toggle warning to error
  * jsapi-util: Remove gjs_get_type_name()
  * mem: Remove unused counters

  [ Ole Jørgen Brønner ]
  * importer: Retrieve names while iterating search path (Closes: #154)

  [ Philip Chimento ]
  * function: Check for invalid closure

  [ Emmanuele Bassi ]
  * Remove unnecessary inline

  [ Philip Chimento ]
  * jsapi-util-string: Fix object logging

  [ Carlos Garnacho ]
  * util-root: Allow null notification functions when rooting (Closes: #144)
  * object: Set up a single weak ref on the context (Closes: #144)

  [ Philip Chimento ]
  * object: Move context dispose notify to GjsContext
  * object: Fix unused variable
  * object: Change linked list size() to return size_t
  * object: Fix logging statement

  [ Carlos Garnacho ]
  * js: Schedule a compacting GC on gjs_gc_if_needed() (Closes: #151)

  [ Philip Chimento ]
  * boxed: Update outdated comment
  * boxed: Remove limitation of 256 fields
  * tests: Debug-log coverage output
  * tests: Remove unused length argument in coverage tests
  * tests: Correct typo in test name
  * jsapi-util-string: Avoid unnecessary root
  * boxed: Remove unnecessary roots

  [ Clement Lefebvre ]
  * CI: Remove Mint 18

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 13:45:13 +0000

cjs (3.8.0) tara; urgency=medium

  [ Cosimo Cecchi ]
  * arg: don't crash when asked to convert a null strv to an array

  [ Tom Schoonjans ]
  * arg: Include headers for std::abs()

  [ Claudio André ]
  * maintenance: modernize shell scripts

  [ Philip Chimento ]
  * modules/console: Update fancy error reporter to mozjs38

  [ Jason Hicks ]
  * jsapi-util-args: Mark functions as always-inline

  [ Patrick Griffis ]
  * package: Support running Meson projects from source
  * package: Fix initSubmodule() with Meson.
  * package: Don't rely upon directory configuration for initSubmodule()
  * package: Set GSETTINGS_SCHEMA_DIR when ran from source

  [ Philip Chimento ]
  * build: Autodetect SpiderMonkey's debug mode
  * context: Use GThread to determine owner thread
  * jsapi-constructor-proxy: Inherit from js::Wrapper
  * system: Switch from JS::CallReceiver to JS::CallArgs
  * coverage: Root using context, not runtime

  [ Florian Müllner ]
  * package: Add checkSymbol() to check for symbol availability
  * package: Add requireSymbol() method

  [ Patrick Griffis ]
  * overrides: Implement Gio.ListStore[Symbol.iterator]

  [ Juan Pablo Ugarte ]
  * modules/system.cpp: added dumpHeapComplete() method

  [ Chun-wei Fan ]
  * Use std::unique_ptr instead of g_autofree/g_autoptr()
  * modules/cairo-*-surface.cpp: Silence compiler warnings

  [ Philip Chimento ]
  * js: Stop using flags argument to String.replace()
  * tests: Root using context, not runtime

  [ Chun-wei Fan ]
  * Windows: Build against SpiderMonkey 52
  * Partially revert "Windows: Build against SpiderMonkey 52"

  [ Philip Chimento ]
  * autofree: Avoid using local typedefs in classes

  [ Daniel Boles ]
  * GjsAutoChar: Do not take ownership of const char*

  [ Claudio André ]
  * maint: fix a wrong sscanf argument

  [ Philip Chimento ]
  * js: Use autoptr in gjs_object_require_property()
  * jsapi-util-string: Remove useless length calculation

  [ Claudio André ]
  * maint: add a static code analysis 'make target'

  [ Tomas Popela ]
  * Fix the build with debug logs enabled

  [ Jason Hicks ]
  * js: Module exports use ES6 scope rules
  * console: Refactor read-eval-print loop
  * js: Use a special object for modules
  * js: Refactor global object creation

  [ Philip Chimento ]
  * build: Build with mozj45
  * js: new JS_Enumerate API

  [ Jason Hicks ]
  * js: Switch from JS::NullPtr() to nullptr

  [ Philip Chimento ]
  * js: Global object is implicit in many functions
  * js: JSCLASS_IMPLEMENTS_BARRIERS is now implicit
  * js: Weak pointer callback API change
  * js: setProperty operations with triple result state
  * js: New JS_IsArrayObject() API
  * js: Rename JS_InternString to JS_AtomizeAndPinString
  * importer: API change in enumerate operation
  * js: Set JSPROP_RESOLVING when defining properties
  * modules/console: Update to js::PrintError from upstream

  [ Jason Hicks ]
  * js: Various API changes for SpiderMonkey 45

  [ Philip Chimento ]
  * coverage: Misc Javascript-side API changes
  * importer: Seal import with JSPropertyDescriptor directly
  * js: Update obsolete comments
  * js: Adapt to new JS::TraceEdge<T> API
  * build: Build with mozjs52

  [ Chun-wei Fan ]
  * Windows: Build against SpiderMonkey 52

  [ Philip Chimento ]
  * js: New JSClass struct layout
  * js: Add JSCLASS_FOREGROUND_FINALIZE flag
  * js: Adapt to options changes
  * js: Report warnings and errors with encoding
  * tests: Refactor to avoid error reporter
  * js: Replace error reporter callbacks
  * js: Replace JSRuntime APIs that now take JSContext

  [ Jason Hicks ]
  * js: Remove JSRuntime

  [ Philip Chimento ]
  * js: Adapt to misc API changes in SpiderMonkey 52
  * js: Unbarriered read while in weak ptr callback

  [ Jason Hicks ]
  * docs: Overview of SpiderMonkey 52 features in NEWS
  * GjsAutoChar: Add a proper operator= (const char*)

  [ Philip Chimento ]
  * js: Allow access to modules' lexical scope
  * tests: Re-enable JIT
  * release: Include NEWS from 1.48.5
  * release: Prepare for 1.49.4
  * build: Use 'always inline' macro in more places
  * js: Use correct autoptr in gjs_string_to_filename()
  * function: Better message about call during GC

  [ Jason Hicks ]
  * promise: Move to native promises

  [ Philip Chimento ]
  * promise: Report unhandled rejections
  * context: Properly create const strings array
  * importer: Give module objects a [Symbol.toStringTag]
  * release: Include NEWS from 1.48.6

  [ Jason Hicks ]
  * object: Don't let a method shadow a property

  [ luke.nukem.jones@gmail.com ]
  * Backport of patch required for JSObject compare to nullptr
  * Backport of patch required for vectors MOZ_MUST_USE returns

  [ Jason Hicks ]
  * Revert "js: Workaround for function with custom prototype"

  [ Philip Chimento ]
  * Revert "build: Allow compiling without RTTI"

  [ Jason Hicks ]
  * lang: Move all legacy Lang.Class code

  [ Philip Chimento ]
  * class: Move to ES6 classes in internal code

  [ Jason Hicks ]
  * GObject: Move all legacy GObject class code

  [ Philip Chimento ]
  * GObject: Adapt GObject class framework to ES6
  * class: Move to ES6 GObject classes in internal code
  * tests: Add ES6 class inheriting from legacy class
  * build: Fix distcheck
  * release: Prepare for 1.49.90

  [ Jason Hicks ]
  * Gtk: Use GObject.registerClass() for Gtk.Widgets

  [ Philip Chimento ]
  * legacy class: Add name property to class object
  * legacy class: Reinstate Lang.getMetaClass()
  * gerror: Use JS::CaptureCurrentStack for stack info
  * stack: Remove gjs_context_get_frame_info()
  * gerror: Define a columnNumber on GError-backed errors
  * console: Print exception even when not from SpiderMonkey
  * tests: Re-enable accidentally disabled tests

  [ Benjamin Berg ]
  * jsapi-util: Also rate limit checking the process size

  [ Philip Chimento ]
  * release: Prepare for 1.49.91
  * object: Remove unused argument

  [ Jason Hicks ]
  * maint: add ASAN Address Sanitizer

  [ Philip Chimento ]
  * docs: Correct leftover mozjs38
  * arg: Avoid assigning out-of-range values
  * build: Add LSan suppression file
  * build: Don't use the vptr sanitizer
  * arg: Avoid taking abs() of -2^63
  * tests: Suppress message about too-big integer
  * main: Use g_option_context_parse_strv()

  [ Jason Hicks ]
  * build: Put dbus-run-session in AM_TESTS_ENVIRONMENT
  * build: Don't use LOG_COMPILER for shell scripts

  [ Philip Chimento ]
  * object: Avoid taking address of empty vector
  * context: Avoid null pointer dereference
  * build: Update Valgrind suppressions rules
  * build: Valgrind with AX_VALGRIND_CHECK
  * maint: Add SpiderMonkey helgrind suppression rules
  * tests: Split legacy Gtk.Widget tests out

  [ Jason Hicks ]
  * Revert freeing closures in idle handler

  [ Philip Chimento ]
  * closure: Debug message on invalidate signal
  * object: Refactor out ConnectData
  * closure: Prevent collection of invalidated closure
  * release: Prepare for 1.49.92
  * coverage: Correct licensing mistake
  * release: Prepare for 1.50.0
  * stack: Use js::DumpBacktrace() for gjs_dumpstack()
  * coverage: Don't error out on various files
  * coverage: Scan ES6 classes for functions
  * coverage: Correct AST walking for labelled statements
  * coverage: Walk AST in more cases
  * tests: Create test ASTs by parsing JS
  * coverage: Don't count literals as executable
  * coverage: Don't mark empty var declarations executable
  * coverage: Misc refactors
  * coverage: Fix coverage prefixes
  * release: Prepare for 1.50.1
  * jsapi-util-args: Update out-of-date comments
  * build: Tweak code coverage options

  [ Jason Hicks ]
  * tweener: Fix a couple of warnings

  [ Florian Müllner ]
  * legacy: Allow ES6 classes to inherit from abstract Lang.Class class

  [ Philip Chimento ]
  * release: Prepare for 1.50.2

  [ Jason Hicks ]
  * importer.cpp: Update search path for Cinnamon
  * Remove valgrind configuration
  * Fix DEBUG compiler error in Spidermonkey 52
  * Depend on libmozjs-52
  * Get most tests passing
  * Fix usage of g_idle_add for resolving promises

  [ Clement Lefebvre ]
  * Add CI configuration

  [ Jason Hicks ]
  * Fix scope warning for restrictedWords in the tweener module (#64)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Apr 2018 12:14:11 +0100

cjs (3.6.1) sylvia; urgency=medium

  [ Simon Brown ]
  * cairo: Free popped pattern (#59)
  * value: Fix memory leak while marshalling GValue (#57)
  * arg: Fix memory leaks (#58)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Nov 2017 13:31:37 +0000

cjs (3.6.0) sylvia; urgency=medium

  [ leigh123linux ]
  * object: Keep proper track of pending closure invalidations
  * revert b66d7c2965f20c2cf51628840682c404a01bf408

  [ Michael Webster ]
  * Add a debug package.

  [ Jason Hicks ]
  * object: Zero out new ConnectData

  [ Clement Lefebvre ]
  * Update README
  * Add a README.md

  [ Philip Chimento ]
  * Revert freeing closures in idle handler
  * closure: Prevent collection of invalidated closure

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 21 Oct 2017 13:49:00 +0100

cjs (3.4.3) sonya; urgency=medium

  [ Michael Webster ]
  * object.cpp: Follow-up to 503fa20e07ce - handler ID's *must* be managed from start to finish - they should be initialized to 0, and re-set to 0 whenever they're finished being used.

  [ leigh123linux ]
  * arg: don't crash when asked to convert a null strv to an array (#48)

  [ Michael Webster ]
  * Apply upstream: https://github.com/GNOME/gjs/commit/bace908922aa6ee9ee3885eef01b75816ece842f

  [ Philip Chimento ]
  * closure: Remove pointer to runtime
  * closure: Prevent use-after-free in closures

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Jul 2017 11:10:34 +0200

cjs (3.4.2) sonya; urgency=medium

  [ leigh123linux ]
  * tweener: Add undefined property check (#45)

  [ Michael Webster ]
  * tweener.js: silence some additional warnings due to missing/unused properties.

  [ leigh123linux ]
  * object: Prevent use-after-free in signal connections
  * util-root: Require GjsMaybeOwned callback to reset

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2017 12:18:57 +0200

cjs (3.4.1) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Don't use build profiles in build-deps

  [ Alexei Sorokin ]
  * Better GLib and autotools compatibility (#44)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 15:28:25 +0100

cjs (3.4.0) sonya; urgency=medium

  [ Michael Webster ]
  * Rebase to upstream gjs 1.48.0 (a7bcfb9f3e00ca9849bf44a).
  * Always reload extension js modules.

  [ pixunil ]
  * min / max properties to specify a minimal / maximal value

  [ dalcde ]
  * Throw error when attempting to instantiate abstract class

  [ Dexter Chua ]
  * signals.js: add signalHandlerIsConnected method
  * Use python2 instead of python

  [ pixunil ]
  * importer.cpp: Add a method to the global imports object addSubImporter(name, path)

  [ Michael Webster ]
  * modules/GObject.js: Add access to handler_block and handler_unblock.
  * Fix file location problem from rebasing

  [ leigh123linux ]
  * lost commit: remove aclocal

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Apr 2017 08:30:32 -0400

cjs (3.2.0) serena; urgency=medium

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ Michael Webster ]
  * modules/GObject.js: Add access to handler_block and handler_unblock.

  [ Clement Lefebvre ]
  * Fixed build

  [ Maximiliano Curia ]
  * Make AX_ macros optional
  * Drop glib-gettextize, gtkdocize and intltoolize

  [ leigh123linux ]
  * build: Require C++11

  [ Michael Webster ]
  * Fix build when extra debugging is enabled (util/log.h)

  [ Clement Lefebvre ]
  * pkg: Add missing autoconf-archive in debian/control.in

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:28:25 +0000

cjs (3.0.1) sarah; urgency=medium

  [ Michael Webster ]
  * repo.cpp: Add Gvc->Cvc mapping for backward compatibility of sound xlets.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2016 16:26:22 +0100

cjs (3.0.0) sarah; urgency=medium

  * 3.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Apr 2016 10:50:03 +0100

cjs (2.8.0) rosa; urgency=medium

  [ pixunil ]
  * importer.cpp: Add a method to the global imports object addSubImporter(name, path)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Oct 2015 13:56:06 +0100

cjs (2.6.2) rafaela; urgency=medium

  [ Dexter Chua ]
  * signals.js: add signalHandlerIsConnected method

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Jun 2015 22:45:02 +0200

cjs (2.6.1) rafaela; urgency=medium

  [ Dexter Chua ]
  * Use python2 instead of python

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Jun 2015 12:44:28 +0200

cjs (2.6.0) rafaela; urgency=medium

  * 2.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 May 2015 17:01:22 +0200

cjs (2.5.0) unstable; urgency=medium

  * bump for development

 -- Michael Webster <miketwebster@gmail.com>  Sat, 11 Apr 2015 09:02:17 -0400

cjs (2.4.1) rebecca; urgency=medium

  * Lowered gobject-introspection requirement to 1.38.0
  * Imports: fixed GMenu-to-CMenu proxy for legacy applets.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Nov 2014 12:01:41 +0100

cjs (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Oct 2014 15:29:36 +0100

cjs (2.3.1) unstable; urgency=medium

  * Rebase to upstream version:
    - gjs 1.40.1 (gjs (1.40.1-0ubuntu0.2) trusty)

 -- Michael Webster <miketwebster@gmail.com>  Tue, 12 Aug 2014 21:58:00 -0400

cjs (2.3.0) unstable; urgency=medium

  * 2.3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:28:58 +0100

cjs (2.2.1) qiana; urgency=medium

  * 2.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2014 11:30:18 +0100

cjs (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 10:33:49 +0100

cjs (2.0.0) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Oct 2013 13:43:45 +0100

cjs (1.9.1) petra; urgency=low

  * Based on 1.34.0-0ubuntu1 quantal

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 13:31:38 +0100
